%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Params-Validate
%define modv   1.00
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module to validate method/function parameters
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-0.98-tests.patch
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Dave Rolsky <autarch@urth.org>
Provides:      perl(Attribute::Params::Validate) = 1.07
Provides:      perl(Params::Validate) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.8.1
BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.3601
BuildRequires: perl(Readonly)
BuildRequires: perl(Readonly::XS)
BuildRequires: perl(Scalar::Util) >= 1.10
BuildRequires: perl(Test::More) >= 0.34
BuildRequires: perl(Test::Taint) >= 0.02
BuildRequires: perl(Tie::Array)
BuildRequires: perl(Tie::Hash)


%description
Params::Validate allows you to validate method or function call parameters
to an arbitrary level of specificity. At the simplest level, it is capable
of validating the required parameters were given and that no unspecified
additional parameters were passed in.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1


%build
%{__perl} Build.PL           \
	--installdirs vendor \
	OPTIMIZE="${RPM_OPT_FLAGS} -Wno-unused"

./Build


%check
./Build test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

./Build pure_install \
	--destdir ${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes LICENSE INSTALL README TODO
%{perl_vendorarch}/auto/%{modp}
%{perl_vendorarch}/Attribute
%{perl_vendorarch}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Thu Oct 06 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.00-1
- New version (1.00)

* Fri May 20 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.98-1
- New version (0.98)

* Fri Nov 19 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.95-1
- New version (0.95)

* Fri Nov 14 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.91-1
- Initial build
